gsl::vector_iterator Class Reference

`#include <mia/core/gsl_iterator.hh>`

## Public Types

typedef size_t | difference_type
typedef double * | pointer
typedef double & | reference
typedef double | value_type

## Public Member Functions

bool | operator!= (const vector_iterator &other) const
double & | operator* ()
vector_iterator & | operator++ ()
vector_iterator | operator++ (int)
vector_iterator & | operator+= (int dist)
difference_type | operator- (const vector_iterator &other)
vector_iterator & | operator-- ()
vector_iterator | operator-- (int)
vector_iterator & | operator-= (int dist)
double * | operator-> ()
bool | operator< (const vector_iterator &other) const
bool | operator<= (const vector_iterator &other) const
bool | operator== (const vector_iterator &other) const
bool | operator> (const vector_iterator &other) const
bool | operator>= (const vector_iterator &other) const
double & | operator[] (int idx)
| vector_iterator ()
| vector_iterator (const vector_iterator &other)=default
| vector_iterator (double *base, int stride)

## Friends

class | const_vector_iterator

## Detailed Description

Definition at line 31 of file gsl_iterator.hh.

## Member Typedef Documentation

## difference_type

typedef size_t gsl::vector_iterator::difference_type

Definition at line 37 of file gsl_iterator.hh.

## pointer

typedef double* gsl::vector_iterator::pointer

Definition at line 35 of file gsl_iterator.hh.

## reference

typedef double& gsl::vector_iterator::reference

Definition at line 36 of file gsl_iterator.hh.

## value_type

typedef double gsl::vector_iterator::value_type

Definition at line 34 of file gsl_iterator.hh.

## Constructor & Destructor Documentation

## vector_iterator() [1/3]

gsl::vector_iterator::vector_iterator | ( | double * | base,
|  | int | stride )

inline

Definition at line 39 of file gsl_iterator.hh.

Referenced by operator!=(), operator++(), operator++(), operator+=(), operator-(), operator--(), operator--(), operator-=(), operator<(), operator<=(), operator==(), operator>(), operator>=(), and vector_iterator().

## vector_iterator() [2/3]

gsl::vector_iterator::vector_iterator | ( | const vector_iterator & | other | ) |

default

References vector_iterator().

## vector_iterator() [3/3]

gsl::vector_iterator::vector_iterator | ( |  | ) |

inline

Definition at line 43 of file gsl_iterator.hh.

## Member Function Documentation

## operator!=()

bool gsl::vector_iterator::operator!= | ( | const vector_iterator & | other | ) | const

inline

Definition at line 111 of file gsl_iterator.hh.

References vector_iterator().

## operator*()

double & gsl::vector_iterator::operator* | ( |  | ) |

inline

Definition at line 45 of file gsl_iterator.hh.

## operator++() [1/2]

vector_iterator & gsl::vector_iterator::operator++ | ( |  | ) |

inline

Definition at line 55 of file gsl_iterator.hh.

References vector_iterator().

## operator++() [2/2]

vector_iterator gsl::vector_iterator::operator++ | ( | int |  | ) |

inline

Definition at line 61 of file gsl_iterator.hh.

References vector_iterator().

## operator+=()

vector_iterator & gsl::vector_iterator::operator+= | ( | int | dist | ) |

inline

Definition at line 82 of file gsl_iterator.hh.

References vector_iterator().

## operator-()

difference_type gsl::vector_iterator::operator- | ( | const vector_iterator & | other | ) |

inline

Definition at line 99 of file gsl_iterator.hh.

References vector_iterator().

## operator--() [1/2]

vector_iterator & gsl::vector_iterator::operator-- | ( |  | ) |

inline

Definition at line 69 of file gsl_iterator.hh.

References vector_iterator().

## operator--() [2/2]

vector_iterator gsl::vector_iterator::operator-- | ( | int |  | ) |

inline

Definition at line 75 of file gsl_iterator.hh.

References vector_iterator().

## operator-=()

vector_iterator & gsl::vector_iterator::operator-= | ( | int | dist | ) |

inline

Definition at line 88 of file gsl_iterator.hh.

References vector_iterator().

## operator->()

double * gsl::vector_iterator::operator-> | ( |  | ) |

inline

Definition at line 50 of file gsl_iterator.hh.

## operator<()

bool gsl::vector_iterator::operator< | ( | const vector_iterator & | other | ) | const

inline

Definition at line 117 of file gsl_iterator.hh.

References vector_iterator().

## operator<=()

bool gsl::vector_iterator::operator<= | ( | const vector_iterator & | other | ) | const

inline

Definition at line 123 of file gsl_iterator.hh.

References vector_iterator().

## operator==()

bool gsl::vector_iterator::operator== | ( | const vector_iterator & | other | ) | const

inline

Definition at line 105 of file gsl_iterator.hh.

References vector_iterator().

## operator>()

bool gsl::vector_iterator::operator> | ( | const vector_iterator & | other | ) | const

inline

Definition at line 129 of file gsl_iterator.hh.

References vector_iterator().

## operator>=()

bool gsl::vector_iterator::operator>= | ( | const vector_iterator & | other | ) | const

inline

Definition at line 135 of file gsl_iterator.hh.

References vector_iterator().

## operator[]()

double & gsl::vector_iterator::operator[] | ( | int | idx | ) |

inline

Definition at line 94 of file gsl_iterator.hh.

## Friends And Related Symbol Documentation

## const_vector_iterator

friend class const_vector_iterator

friend

Definition at line 142 of file gsl_iterator.hh.

References const_vector_iterator.

Referenced by const_vector_iterator.

The documentation for this class was generated from the following file:

- gsl_iterator.hh